Follow

Supported Browser Versions

The RequirementONE platform is supported by all modern browser versions.

The specific versions and higher are as follows:

  • Chrome (Google Chrome applies updates automatically)
  • Internet Explorer 10.0 (most recent stable version recommended)
  • Firefox (most recent stable version)
  • Safari (most recent stable version - Apple Safari on iOS isn’t supported)

These browsers encompass over 95% of all browsers in use today.

We make every effort to test and support the most recent stable version of the above browsers.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.
Powered by Zendesk